Summary:        Perl source filters
Name:           perl-Filter
Version:        1.64
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Filter
Source0:        https://cpan.metacpan.org/authors/id/R/RU/RURBAN/Filter-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc make
BuildRequires:  perl-devel perl-generators perl-interpreter
BuildRequires:  perl(Config) perl(Getopt::Long) perl(strict) perl(Carp) perl(Exporter) perl(warnings)
BuildRequires:  perl(XSLoader) perl(Cwd) perl(FindBin) perl(lib) perl(perl5db.pl) perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(:MODULE_COMPAT_%perl_version)
Suggests:       bash gcc m4

%description
This distribution consists of a number of Source Filters. Source filters
alter the program text of a module before Perl sees it

%prep
%autosetup -n Filter-%{version}
find examples -type f -exec chmod -x -- {} +
perl -i -MConfig -pe 's/^#!.*/$Config{startperl}/' examples/filtdef

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc examples Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Filter*
%{_mandir}/man3/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.64-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.64-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 17 2022 ZoeDong <zoedong@tencent.com> - 1.64-1
- Initial build

